BasicResourcePoolFactory (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.resourcepool

## Class BasicResourcePoolFactory

- java.lang.Object
- - com.mchange.v2.resourcepool.ResourcePoolFactory
  - - com.mchange.v2.resourcepool.BasicResourcePoolFactory

-     public class BasicResourcePoolFactory
      extends ResourcePoolFactory

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BasicResourcePoolFactory` | `createNoEventSupportInstance(com.mchange.v2.async.AsynchronousRunner taskRunner, java.util.Timer timer)`
    `static BasicResourcePoolFactory` | `createNoEventSupportInstance(int num_task_threads)`
    `ResourcePool` | `createPool(ResourcePool.Manager mgr)`
    `int` | `getAcquisitionRetryAttempts()`
    `int` | `getAcquisitionRetryDelay()`
    `boolean` | `getBreakOnAcquisitionFailure()`
    `boolean` | `getDebugStoreCheckoutStackTrace()`
    `long` | `getDestroyOverdueResourceTime()`
    `long` | `getExcessResourceMaxIdleTime()`
    `long` | `getExpirationEnforcementDelay()`
    `boolean` | `getForceSynchronousCheckins()`
    `long` | `getIdleResourceTestPeriod()`
    `int` | `getIncrement()`
    `int` | `getMax()`
    `int` | `getMin()`
    `long` | `getResourceMaxAge()`
    `long` | `getResourceMaxIdleTime()`
    `int` | `getStart()`
    `void` | `setAcquisitionRetryAttempts(int retry_attempts)`
    `void` | `setAcquisitionRetryDelay(int retry_delay)`
    `void` | `setBreakOnAcquisitionFailure(boolean break_on_acquisition_failure)`
    `void` | `setDebugStoreCheckoutStackTrace(boolean debug_store_checkout_stacktrace)`
    `void` | `setDestroyOverdueResourceTime(long millis)`
    `void` | `setExcessResourceMaxIdleTime(long millis)`
    `void` | `setExpirationEnforcementDelay(long expiration_enforcement_delay)`
    `void` | `setForceSynchronousCheckins(boolean force_synchronous_checkins)`
    `void` | `setIdleResourceTestPeriod(long test_period)`
    `void` | `setIncrement(int inc)`
    `void` | `setMax(int max)`
    `void` | `setMin(int min)`
    `void` | `setResourceMaxAge(long max_age)`
    `void` | `setResourceMaxIdleTime(long millis)`
    `void` | `setStart(int start)` If start is less than min, it will be ignored, and the pool will start with min.

    - ### Methods inherited from class com.mchange.v2.resourcepool.ResourcePoolFactory

      `createInstance, createInstance, createInstance, createInstance, getSharedInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createNoEventSupportInstance

          public static BasicResourcePoolFactory createNoEventSupportInstance(int num_task_threads)

    - #### createNoEventSupportInstance

          public static BasicResourcePoolFactory createNoEventSupportInstance(com.mchange.v2.async.AsynchronousRunner taskRunner,
                                                                              java.util.Timer timer)

    - #### setStart

          public void setStart(int start)
                        throws ResourcePoolException

      If start is less than min, it will be ignored, and the pool will start with min.
      Specified by:
        `setStart` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getStart

          public int getStart()
                       throws ResourcePoolException

      Specified by:
        `getStart` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setMin

          public void setMin(int min)
                      throws ResourcePoolException

      Specified by:
        `setMin` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getMin

          public int getMin()
                     throws ResourcePoolException

      Specified by:
        `getMin` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setMax

          public void setMax(int max)
                      throws ResourcePoolException

      Specified by:
        `setMax` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getMax

          public int getMax()
                     throws ResourcePoolException

      Specified by:
        `getMax` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setIncrement

          public void setIncrement(int inc)
                            throws ResourcePoolException

      Specified by:
        `setIncrement` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getIncrement

          public int getIncrement()
                           throws ResourcePoolException

      Specified by:
        `getIncrement` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setAcquisitionRetryAttempts

          public void setAcquisitionRetryAttempts(int retry_attempts)
                                           throws ResourcePoolException

      Specified by:
        `setAcquisitionRetryAttempts` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getAcquisitionRetryAttempts

          public int getAcquisitionRetryAttempts()
                                          throws ResourcePoolException

      Specified by:
        `getAcquisitionRetryAttempts` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setAcquisitionRetryDelay

          public void setAcquisitionRetryDelay(int retry_delay)
                                        throws ResourcePoolException

      Specified by:
        `setAcquisitionRetryDelay` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getAcquisitionRetryDelay

          public int getAcquisitionRetryDelay()
                                       throws ResourcePoolException

      Specified by:
        `getAcquisitionRetryDelay` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setIdleResourceTestPeriod

          public void setIdleResourceTestPeriod(long test_period)

      Specified by:
        `setIdleResourceTestPeriod` in class `ResourcePoolFactory`

    - #### getIdleResourceTestPeriod

          public long getIdleResourceTestPeriod()

      Specified by:
        `getIdleResourceTestPeriod` in class `ResourcePoolFactory`

    - #### setResourceMaxAge

          public void setResourceMaxAge(long max_age)
                                 throws ResourcePoolException

      Specified by:
        `setResourceMaxAge` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getResourceMaxAge

          public long getResourceMaxAge()
                                 throws ResourcePoolException

      Specified by:
        `getResourceMaxAge` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setResourceMaxIdleTime

          public void setResourceMaxIdleTime(long millis)
                                      throws ResourcePoolException

      Specified by:
        `setResourceMaxIdleTime` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getResourceMaxIdleTime

          public long getResourceMaxIdleTime()
                                      throws ResourcePoolException

      Specified by:
        `getResourceMaxIdleTime` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setExcessResourceMaxIdleTime

          public void setExcessResourceMaxIdleTime(long millis)
                                            throws ResourcePoolException

      Specified by:
        `setExcessResourceMaxIdleTime` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getExcessResourceMaxIdleTime

          public long getExcessResourceMaxIdleTime()
                                            throws ResourcePoolException

      Specified by:
        `getExcessResourceMaxIdleTime` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getDestroyOverdueResourceTime

          public long getDestroyOverdueResourceTime()
                                             throws ResourcePoolException

      Specified by:
        `getDestroyOverdueResourceTime` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setDestroyOverdueResourceTime

          public void setDestroyOverdueResourceTime(long millis)
                                             throws ResourcePoolException

      Specified by:
        `setDestroyOverdueResourceTime` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setExpirationEnforcementDelay

          public void setExpirationEnforcementDelay(long expiration_enforcement_delay)
                                             throws ResourcePoolException

      Specified by:
        `setExpirationEnforcementDelay` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getExpirationEnforcementDelay

          public long getExpirationEnforcementDelay()
                                             throws ResourcePoolException

      Specified by:
        `getExpirationEnforcementDelay` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setBreakOnAcquisitionFailure

          public void setBreakOnAcquisitionFailure(boolean break_on_acquisition_failure)
                                            throws ResourcePoolException

      Specified by:
        `setBreakOnAcquisitionFailure` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getBreakOnAcquisitionFailure

          public boolean getBreakOnAcquisitionFailure()
                                               throws ResourcePoolException

      Specified by:
        `getBreakOnAcquisitionFailure` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setDebugStoreCheckoutStackTrace

          public void setDebugStoreCheckoutStackTrace(boolean debug_store_checkout_stacktrace)
                                               throws ResourcePoolException

      Specified by:
        `setDebugStoreCheckoutStackTrace` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getDebugStoreCheckoutStackTrace

          public boolean getDebugStoreCheckoutStackTrace()
                                                  throws ResourcePoolException

      Specified by:
        `getDebugStoreCheckoutStackTrace` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### setForceSynchronousCheckins

          public void setForceSynchronousCheckins(boolean force_synchronous_checkins)
                                           throws ResourcePoolException

      Specified by:
        `setForceSynchronousCheckins` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### getForceSynchronousCheckins

          public boolean getForceSynchronousCheckins()
                                              throws ResourcePoolException

      Specified by:
        `getForceSynchronousCheckins` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`

    - #### createPool

          public ResourcePool createPool(ResourcePool.Manager mgr)
                                  throws ResourcePoolException

      Specified by:
        `createPool` in class `ResourcePoolFactory`
      Throws:
        `ResourcePoolException`